<form name="editForm" role="form" novalidate (ngSubmit)="save()" #editForm="ngForm">
    <p-panel>
        <p-header>
            <ul class="nav justify-content-end">
                <li class="nav-item">
                    <a class="btn" (click)="previousState()" style="cursor: pointer;"><i class="fa fa-chevron-left"></i> &nbsp;{{'entity.action.back' | translate}}</a>
                </li>
                <li class="nav-item" *ngIf = "joborders.idStatusType === 15 ">
                    <a class="btn" (click)="complete()" style="cursor: pointer;"><i class="fa fa-check" size="7"></i> &nbsp;Complete</a>
                </li>
            </ul>
        </p-header>
        <div class="text-left" style="margin-bottom: 15px;">
            <div class="ui-g ui-fluid">
                <div class="ui-g-12 ui-md-6">
                    <div class="form-group">
                        <label class="form-control-label" for="field_jobOrderNumber">JO Number</label>
                        <input type="text" class="form-control" name="jobOrderNumber" id="field_jobOrderNumber"
                            [(ngModel)]="joborders.orderNumber" readonly />
                    </div>
                </div>
                <div class="col-md-6">
                    <div class="form-group">
                        <label class="form-control-label"  for="field_divReciver">Send To</label>
                        <input type="text" class="form-control" name="divReciver" id="field_divReciver"
                            [(ngModel)]="joborders.divReciver" readonly />
                    </div>
                </div>
                <div class="col-md-12" *ngIf="joborders.divReciver === 'IT'">
                    <div class="form-group">
                        <label class="form-control-label"  for="field_kategori">Kategori Masalah</label>
                        <input type="text" class="form-control" name="kategori" id="field_kategori"
                        [(ngModel)]="joborders.kategori" readonly />
                    </div>
                </div>
                <div class="col-md-6">
                    <div class="form-group">
                        <label class="form-control-label" for="field_createdBy">Created By</label>
                        <input type="text" class="form-control" name="createdBy" id="field_createdBy"
                            [(ngModel)]="joborders.createdBy" style="text-transform: uppercase;" readonly />
                    </div>
                </div>
                <div class="col-md-3">
                    <div class="form-group">
                        <label class="form-control-label" for="field_dtOrder">Job Order Date</label>
                        <div class="input-group">
                            <p-calendar inputId="field_dtOrder" name="input_dtOrder" [(ngModel)]="dtOrder"
                                dateFormat="dd-MM-yy" 
                                [showTime]="true"
                                [showIcon]="true" [disabled]="readonly"></p-calendar>
                        </div>
                    </div>
                </div>
                <div class="col-md-3">
                    <div class="form-group">
                        <label class="form-control-label" for="field_dtFnsBfr">Finished Before Date</label>
                        <div class="input-group">
                            <p-calendar inputId="field_dtFnsBfr" name="input_dtFnsBfr" [(ngModel)]="dtFnsBfr"
                                [monthNavigator]="true" [yearNavigator]="true" yearRange="2000:2999"
                                dateFormat="dd-MM-yy"
                                [showTime]="true"
                                [showIcon]="true" [disabled]="readonly"></p-calendar>
                        </div>
                    </div>
                </div>
                <div class="col-md-12" [hidden]="joborders.divReq === 'PPIC' && joborders.appDept !== 'PJA'">
                    <div class="form-group">
                        <label class="form-control-label" for="field_appDept">Approved By</label>
                        <input type="text" class="form-control" name="appDept" id="field_appDept"
                            [(ngModel)]="joborders.appDept" readonly />
                    </div>
                </div>
                <div class="col-md-12" [hidden]="(joborders.divReq === 'PPIC' && joborders.appDept == 'PJA' || joborders.divReq !== 'PPIC' )">
                    <div class="form-group">
                        <label class="form-control-label" for="field_appDept">Approved By Supervisor / Asistant Manager </label>
                        <input type="text" class="form-control" name="appDept" id="field_appDept"
                            [(ngModel)]="joborders.appDept" readonly/>
                    </div>
                </div>
                <div class="col-md-12" [hidden]="(joborders.divReq === 'PPIC' && joborders.appDept === 'PJA' || joborders.divReq !== 'PPIC') ">
                    <div class="form-group">
                        <label class="form-control-label" for="field_appDept">Approved By Manager</label>
                        <input type="text" class="form-control" name="appDept1" id="field_appDept1"
                            [(ngModel)]="joborders.appDept1" readonly/>
                    </div>
                </div>
                <div class="col-md-12">
                    <div class="form-group">
                        <label class="form-control-label" for="field_jobDesc">Job Description</label>
                        <textarea rows="5" readonly cols="106" pInputTextarea autoResize="autoResize" [(ngModel)]="joborders.jobDescription" name="jobDesc"></textarea>
                    </div>
                </div>
                <div class="col-md-12">
                    <label class="form-control-label" for="field_Attachment">Attachment</label>
                    <br>
                    <p-lightbox type="content">
                        <a class="group" href="#">
                            <img [src]="'data:' + joborders.contentContentType + ';base64,' + joborders.content" style="max-height: 230px;" alt="joborders image"/>
                        </a>
                        <img [src]="'data:' + joborders.contentContentType + ';base64,' + joborders.content" style="max-width: 500px;" alt="joborders image"/>
                    </p-lightbox>
                    <div *ngIf="joborders.content" class="form-text text-danger clearfix">
                        <div style="text-align: left">
                            <span>{{joborders.contentContentType}}, {{byteSize(joborders.content)}}</span>
                            &nbsp;&nbsp;&nbsp;
                            <button type="button" (click)="download(joborders.content, joborders.contentContentType ,'fileImage')" class="btn btn-secondary btn-xs">
                                <span class="fa fa-download"></span>
                            </button>
                        </div>
                    </div>
                </div>
                <div class="col-md-6">
                    <div class="form-group">
                        <label class="form-control-label" for="field_executor">Executor</label>
                        <input type="text" class="form-control" name="executor" id="field_executor"
                            [(ngModel)]="joborders.executor" readonly />
                    </div>
                </div>
                <div class="col-md-6" [hidden]="(internals === 'TEKNIK' || internals === 'PSU')">
                    <div class="form-group">
                        <label class="form-control-label" for="field_insFrom">Instruction From</label>
                        <input type="text" class="form-control" name="instFrom" id="field_insFrom"
                            [(ngModel)]="joborders.instructionFrom" readonly />
                    </div>
                </div>
                <div class="col-md-6" [hidden]="(internals === 'PPIC' || internals === 'PROD' || internals === 'IT' || internals === 'LPM' || internals === 'REG' || internals === 'HSE' || internals === 'GPO')">
                    <div class="form-group">
                        <label class="form-control-label"  for="field_insFroms">Instruction From</label>
                        <p-dropdown [options]="listKdBarang" styleClass="form-control" autoWidth="false"
                        [style]="{'width':'100%'}" ditable="editable"
                        [(ngModel)]="joborders.instructionFrom" id="field_insFrom" name="instFrom" [readonly]="readonly"
                    ></p-dropdown>
                    </div>
                </div>
                <div class="col-md-12">
                    <label class="form-control-label"  for="field_insFroms">Work Plan</label>
                </div>
                <div class="col-md-3">
                    <div class="form-group">
                        <label class="form-control-label" for="field_dtStartTmln">Start Date</label>
                        <div class="input-group">
                            <p-calendar inputId="field_dtStartTmln" name="input_dtStartTmln" [(ngModel)]="dtStartTmln" [disabled]="readonly"
                                dateFormat="dd-mm-yy"
                                [showTime]="true"
                                [showIcon]="true"></p-calendar>
                        </div>
                    </div>
                </div>
                <div class="col-md-3">
                    <div class="form-group">
                        <label class="form-control-label" for="field_dtFinishTmln">Finish Date</label>
                        <div class="input-group">
                            <p-calendar inputId="field_dtFinishTmln" name="input_dtFinishTmln" [(ngModel)]="dtFinishTmln" [disabled]="readonly"
                                dateFormat="dd-mm-yy"
                                [showTime]="true"
                                [showIcon]="true"></p-calendar>
                        </div>
                    </div>
                </div>
                <div class="col-md-12">
                    <label class="form-control-label"  for="field_insFroms">Date Of Execution</label>
                </div>
                <div class="col-md-3">
                    <div class="form-group">
                        <label class="form-control-label" for="field_dtStart">Start Date</label>
                        <div class="input-group">
                            <p-calendar inputId="field_dtStart" name="input_dtStart" [(ngModel)]="dtStart"
                                dateFormat="dd-mm-yy"
                                [showTime]="true"
                                [showIcon]="true" [disabled]="readonly"></p-calendar>
                        </div>
                    </div>
                </div>
                <div class="col-md-3">
                    <div class="form-group">
                        <label class="form-control-label" for="field_dtFinish">Finish Date</label> 
                        <div class="input-group">
                            <p-calendar inputId="field_dtFinish" name="input_dtFinish" [(ngModel)]="dtFinish"
                                dateFormat="dd-mm-yy"
                                [showTime]="true"
                                [showIcon]="true" [disabled]="readonly"></p-calendar>
                        </div>
                    </div>
                </div>
                <div class="col-md-12">
                    <div class="form-group">
                        <label class="form-control-label" for="field_actionDesc">Action Description</label>
                        <textarea rows="5" readonly cols="106" pInputTextarea autoResize="autoResize" [(ngModel)]="joborders.actionDesc" name="actionDesc"></textarea>
                    </div>
                </div>
                <div class="col-md-12">
                    <div class="form-group">
                        <label class="form-control-label" for="field_suggestion">Suggestion</label>
                        <textarea rows="5" cols="106" readonly pInputTextarea autoResize="autoResize" [(ngModel)]="joborders.suggestion" name="suggestion"></textarea>
                    </div>
                </div>
            </div>
        </div>
    </p-panel>
</form>